> ## Documentation Index
> Fetch the complete documentation index at: https://developers.qshop.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Update shop copy



## OpenAPI

````yaml patch /{shopId}/
openapi: 3.0.3
info:
  title: API V2
  version: 1.0.0
  contact: {}
servers:
  - url: http://staging.qshop.ng/apiv2
    description: Staging server
  - url: http://qshop.ng/api
    description: null
security: []
tags:
  - name: Analytics
  - name: Authentication
  - name: Storefront
  - name: Roles
  - name: Banks
  - name: Products
  - name: Shops
  - name: Roles1
  - name: Bank accounts
  - name: Users
  - name: Payment methods
  - name: Integrations
  - name: Subscriptions
  - name: Currency
  - name: Shipping zones
  - name: Shipping rates
  - name: Policies
  - name: Contact us
  - name: Locations
  - name: Reviews
  - name: Referral
  - name: Stripe
  - name: Campaigns
  - name: Credits
  - name: Product Tags
  - name: Product Attributes
  - name: Product Categories
  - name: Orders
  - name: Discount
  - name: Shipping
  - name: Redeem digital assets
  - name: Coupons
  - name: Currencies
  - name: Shop categories
  - name: Locations1
  - name: Features
  - name: Subscription plan
  - name: Recurring subscription plan
  - name: Shop payments
  - name: QDiscounts
  - name: Order status
  - name: Announcements
  - name: Wishlist
  - name: Transaction status
  - name: Templates
  - name: Config
  - name: Cart management
  - name: Users1
  - name: Profile
  - name: Domains
  - name: Transactions
  - name: Subscriptions1
  - name: Subscription statuses
  - name: Security
  - name: Payments
  - name: Payment methods1
  - name: Payment platforms
  - name: Public
  - name: social
  - name: Shipping1
  - name: Orders1
  - name: Integrations1
  - name: Webhook
  - name: ShopTags
  - name: Themes
paths:
  /{shopId}/:
    patch:
      tags:
        - Shops
      summary: Update shop
      description: Update shop
      operationId: updateShop
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                config:
                  type: object
                  properties:
                    calculateProfit:
                      type: boolean
                      example: false
                    customerNotification:
                      type: object
                      properties:
                        email:
                          type: boolean
                          example: true
                        whatsApp:
                          type: boolean
                          example: true
                    enableReviews:
                      type: boolean
                      example: false
                    order:
                      type: object
                      properties:
                        acceptWithoutShippingRate:
                          type: boolean
                          example: false
                    product:
                      type: object
                      properties:
                        inventory:
                          type: object
                          properties:
                            displayOptionKey:
                              type: string
                              example: always
                            displayOptionKeyId:
                              type: string
                              example: 624d9757733a4a29e8ec0d81
                            enableProductPageStockCount:
                              type: boolean
                              example: false
                            isLowStockEnabled:
                              type: boolean
                              example: true
                            isOutOfStockEnabled:
                              type: boolean
                              example: true
                            lowStockThreshold:
                              type: number
                              example: 50
                            outOfStockThreshold:
                              type: number
                              example: 9
                            storefrontDisplaySoldOut:
                              type: boolean
                              example: false
                    shipping:
                      type: object
                      properties:
                        defaultProvider:
                          type: string
                          example: store
                        hasDeliveryRates:
                          type: boolean
                          example: true
                        hasPickupRates:
                          type: boolean
                          example: true
                        integrations:
                          type: object
                          properties:
                            enabled:
                              type: boolean
                              example: false
                            serviceType:
                              type: string
                              example: dropoff-and-pickup
                            supportedProviders:
                              type: array
                              items:
                                type: string
                                example: kwik
                              example:
                                - kwik
                            supportedRegions:
                              type: string
                              example: selected-regions
                            useAlternativeCarriers:
                              type: boolean
                              example: true
                        returnAllRates:
                          type: boolean
                          example: false
                    storefront:
                      type: object
                      properties:
                        banners:
                          type: array
                          items:
                            type: object
                            properties:
                              banner:
                                type: object
                                properties:
                                  cdnUrl:
                                    type: string
                                    example: >-
                                      https://ucarecdn.com/59187216-f258-47c9-bb2e-1cd2f3be733b/-/crop/600x338/0,31/-/resize/16x9/
                                  cdnUrlModifiers:
                                    type: string
                                    example: '-/crop/600x338/0,31/-/resize/16x9/'
                                  crop:
                                    type: object
                                    properties:
                                      height:
                                        type: number
                                        example: 338
                                      left:
                                        type: number
                                        example: 0
                                      sh:
                                        type: number
                                        example: 9
                                      sw:
                                        type: number
                                        example: 16
                                      top:
                                        type: number
                                        example: 31
                                      width:
                                        type: number
                                        example: 600
                                  isImage:
                                    type: boolean
                                    example: true
                                  isStored:
                                    type: boolean
                                    example: true
                                  mimeType:
                                    type: string
                                    example: image/jpeg
                                  name:
                                    type: string
                                    example: boardroom-background.jpg
                                  originalImageInfo:
                                    type: object
                                    properties:
                                      color_mode:
                                        type: string
                                        example: RGB
                                      datetime_original:
                                        nullable: true
                                        example: null
                                      dpi:
                                        type: array
                                        items:
                                          type: number
                                          example: 72
                                        example:
                                          - 72
                                          - 72
                                      format:
                                        type: string
                                        example: JPEG
                                      geo_location:
                                        nullable: true
                                        example: null
                                      height:
                                        type: number
                                        example: 400
                                      orientation:
                                        nullable: true
                                        example: null
                                      sequence:
                                        type: boolean
                                        example: false
                                      width:
                                        type: number
                                        example: 600
                                  originalUrl:
                                    type: string
                                    example: >-
                                      https://ucarecdn.com/59187216-f258-47c9-bb2e-1cd2f3be733b/
                                  size:
                                    type: number
                                    example: 45492
                                  sourceInfo:
                                    type: object
                                    properties:
                                      source:
                                        type: string
                                        example: local
                                  uuid:
                                    type: string
                                    example: 59187216-f258-47c9-bb2e-1cd2f3be733b
                              is_active:
                                type: boolean
                                example: true
                              link:
                                type: object
                                properties:
                                  path:
                                    type: string
                                    example: ''
                                  type:
                                    type: string
                                    example: 'false'
                              period:
                                type: object
                                properties:
                                  end:
                                    type: string
                                    example: ''
                                  start:
                                    type: string
                                    example: '2022-11-30T18:43:00.365Z'
                              subtitle:
                                type: string
                                example: >
                                  <p>We have stocked the best items in the
                                  market at the best prices, all for your
                                  convenience</p>
                              title:
                                type: string
                                example: Welcome to our store
                          example:
                            - banner:
                                cdnUrl: >-
                                  https://ucarecdn.com/59187216-f258-47c9-bb2e-1cd2f3be733b/-/crop/600x338/0,31/-/resize/16x9/
                                cdnUrlModifiers: '-/crop/600x338/0,31/-/resize/16x9/'
                                crop:
                                  height: 338
                                  left: 0
                                  sh: 9
                                  sw: 16
                                  top: 31
                                  width: 600
                                isImage: true
                                isStored: true
                                mimeType: image/jpeg
                                name: boardroom-background.jpg
                                originalImageInfo:
                                  color_mode: RGB
                                  datetime_original: null
                                  dpi:
                                    - 72
                                    - 72
                                  format: JPEG
                                  geo_location: null
                                  height: 400
                                  orientation: null
                                  sequence: false
                                  width: 600
                                originalUrl: >-
                                  https://ucarecdn.com/59187216-f258-47c9-bb2e-1cd2f3be733b/
                                size: 45492
                                sourceInfo:
                                  source: local
                                uuid: 59187216-f258-47c9-bb2e-1cd2f3be733b
                              is_active: true
                              link:
                                path: ''
                                type: 'false'
                              period:
                                end: ''
                                start: '2022-11-30T18:43:00.365Z'
                              subtitle: >
                                <p>We have stocked the best items in the market
                                at the best prices, all for your convenience</p>
                              title: Welcome to our store
                        colors:
                          type: object
                          properties:
                            primary:
                              type: string
                              example: '#ffcc00'
                            secondary:
                              type: string
                              example: '#000000'
                        font:
                          type: string
                          example: Arial
                        hideLogo:
                          type: boolean
                          example: false
                        showEmailSignup:
                          type: boolean
                          example: false
                        showFooterMenu:
                          type: boolean
                          example: false
                        showSocialLinks:
                          type: boolean
                          example: false
                        showStoreDetails:
                          type: boolean
                          example: false
                        theme:
                          type: string
                          example: MINIMAL
                shopCategory:
                  type: string
                  example: 62c6985ba6f4d62c88ea0e6e
            example:
              config:
                calculateProfit: false
                customerNotification:
                  email: true
                  whatsApp: true
                enableReviews: false
                order:
                  acceptWithoutShippingRate: false
                product:
                  inventory:
                    displayOptionKey: always
                    displayOptionKeyId: 624d9757733a4a29e8ec0d81
                    enableProductPageStockCount: false
                    isLowStockEnabled: true
                    isOutOfStockEnabled: true
                    lowStockThreshold: 50
                    outOfStockThreshold: 9
                    storefrontDisplaySoldOut: false
                shipping:
                  defaultProvider: store
                  hasDeliveryRates: true
                  hasPickupRates: true
                  integrations:
                    enabled: false
                    serviceType: dropoff-and-pickup
                    supportedProviders:
                      - kwik
                    supportedRegions: selected-regions
                    useAlternativeCarriers: true
                  returnAllRates: false
                storefront:
                  banners:
                    - banner:
                        cdnUrl: >-
                          https://ucarecdn.com/59187216-f258-47c9-bb2e-1cd2f3be733b/-/crop/600x338/0,31/-/resize/16x9/
                        cdnUrlModifiers: '-/crop/600x338/0,31/-/resize/16x9/'
                        crop:
                          height: 338
                          left: 0
                          sh: 9
                          sw: 16
                          top: 31
                          width: 600
                        isImage: true
                        isStored: true
                        mimeType: image/jpeg
                        name: boardroom-background.jpg
                        originalImageInfo:
                          color_mode: RGB
                          datetime_original: null
                          dpi:
                            - 72
                            - 72
                          format: JPEG
                          geo_location: null
                          height: 400
                          orientation: null
                          sequence: false
                          width: 600
                        originalUrl: >-
                          https://ucarecdn.com/59187216-f258-47c9-bb2e-1cd2f3be733b/
                        size: 45492
                        sourceInfo:
                          source: local
                        uuid: 59187216-f258-47c9-bb2e-1cd2f3be733b
                      is_active: true
                      link:
                        path: ''
                        type: 'false'
                      period:
                        end: ''
                        start: '2022-11-30T18:43:00.365Z'
                      subtitle: >
                        <p>We have stocked the best items in the market at the
                        best prices, all for your convenience</p>
                      title: Welcome to our store
                  colors:
                    primary: '#ffcc00'
                    secondary: '#000000'
                  font: Arial
                  hideLogo: false
                  showEmailSignup: false
                  showFooterMenu: false
                  showSocialLinks: false
                  showStoreDetails: false
                  theme: MINIMAL
              shopCategory: 62c6985ba6f4d62c88ea0e6e
      responses:
        '200':
          description: ''

````